//
//  BoolMatch.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//

#import "BoolMatch.h"


@implementation BoolMatch

static NSInteger TYPE_ID = 0;

@dynamic symbol;


-(id)initWithSymbol:(NSString *)symbol {
	
	if ((self = [super init])) {
		_symbol = symbol;
	}
	return self;

}

+(BoolMatch *)boolMatchEquals {
	
	BoolMatch *boolMatch = [[BoolMatch alloc] initWithSymbol:@"=="];
	
	return boolMatch;
	
}
+(BoolMatch *)boolMatchNotEquals {
	BoolMatch *boolMatch = [[BoolMatch alloc] initWithSymbol:@"!="];
	
	return boolMatch;
}

-(NSString *)symbol {
	return _symbol;
}

-(NSInteger)type {
	return TYPE_ID;
}


@end
